NAC moving from 4.4 to 6.3: restore nac configuration error

  • 0
  • 1
  • Problem
  • Updated 3 years ago
  • Solved

Hi Team,

We have done a backup of Netsight db and NAC db running both in 4.4.

Re-install of Netsight moving from 4.4 32bit to 6.3 64 bit. Restore of Netsight DB -> all ok.

Re-install of NAC-IA-20 moving from 4.4 32 bit to 6.3 64 bit. Restore of NAC DB -> error messages related to groups. For example the BLacklist group that is a default group is no more presente in 6.3.

Any suggestion ?

Thanks

Emanuel



Photo of emanuel

emanuel, Employee

  • 130 Points 100 badge 2x thumb

Posted 3 years ago

  • 0
  • 1
Photo of Mike Thomas

Mike Thomas, Employee - GTAC - NMS

  • 7,498 Points 5k badge 2x thumb
Emanuel, can you explain the upgrade path of both the Netsight Server and the NAC?
Jumping the database from 4.4 to 6.3 directly is not good.
Photo of emanuel

emanuel, Employee

  • 130 Points 100 badge 2x thumb
Hi Mike,

We have NMS 4.4 and NAC-IA-20 4.4 both 32 bit. NAC-IA-20 32bit is no more supported in 6.3. For this reason we need to move to 64bit releases.
We tried this procedure:
- backup NMS DB 4.4
- backup NAC DB 4.4
- install a fresh NMS 6.3 64bit
- restore the backuped NMS DB -> no errors
- install from scratch NAC-IA-20 using 6.3 64bit image
- restore the backuped NAC DB -> a lot of errors (e.g. default group such as Blacklist is no more there)

Can you suggest the right procedure ?

Thanks
Emanuel
Photo of Gradelain Ngouni

Gradelain Ngouni

  • 480 Points 250 badge 2x thumb

I’m interested in the answer of this, since i’m  actually planning to upgrade  one of my customer NMS/NAC with the same version as mentioned here. Perhaps anyone could share his experience.

 

@Emanuel.

I do suggest though, it might perhaps be helpful to first upgrade the NAC from 4.4.x 32 bits to 5.x.x 32 bits before exporting the DB.

Then installed the NAC from scratch to 6.x 64 bits.

 

Have you try this way?

 

Regrads

 

Gradelain

 

 

Photo of emanuel

emanuel, Employee

  • 130 Points 100 badge 2x thumb
Found a working solution. Here you are:

NMS:

-          Starting from 4.4 32 bit

-          Upgrade to 5.1 32 bit

-          Upgrade to 6.3 32 bit

-          Backup the NMS DB

-          Fresh install a NMS 6.3 64bit and restore the previously done backup on it

-          The result is a perfectly working NMS 6.3 64 bit and the NAC Manager will be able to take care the upgraded NAC GW (see below)

 

NAC:

-          Starting from 4.4 32bit running on a NAC appliance (NAC-IA-20)

-          Fresh reinstall a 6.3 64bit

-          Enforce the configuration from the upgraded NMS (see above)


Emanuel